{ lib, ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./hardware
    ./network
    ./user
    ../../modules/system
  ];

  networking.hostName = "redmond";

  system = {
    desktop.enable = true;
    stateVersion = "24.05";
  };

  programs.sway.extraSessionCommands = lib.mkForce "WLR_RENDERER=gles2";
}
